Changeset 06f38e in git for git-archive


Ignore:
Timestamp:
Oct 22, 2014, 2:13:52 PM (10 years ago)
Author:
Oleksandr Motsak <motsak@…>
Branches:
(u'spielwiese', 'fe61d9c35bf7c61f2b6cbf1b56e25e2f08d536cc')
Children:
cd62b62c623d0d5891bdf38205b9bfdde8acb7a7
Parents:
542685e5672c5d78a2afb7aefd69c56d019c6cad
git-author:
Oleksandr Motsak <motsak@mathematik.uni-kl.de>2014-10-22 14:13:52+02:00
git-committer:
Oleksandr Motsak <motsak@mathematik.uni-kl.de>2014-10-22 14:19:07+02:00
Message:
Updated git-archive
File:
1 edited

Legend:

Unmodified
Added
Removed
  • git-archive

    r542685e r06f38e  
    1 #!/bin/sh
     1#!/bin/bash
    22
    33export GIT_WORK_TREE=`dirname "$0"`
    44export GIT_DIR="$GIT_WORK_TREE/.git"
    55
     6if [ ! -d "$GIT_WORK_TREE/.git" ]; then
     7  echo "Sorry could not generate archive with '$0' for [$GIT_WORK_TREE], which is not a git repository!"
     8  exit 1
     9fi
     10
    611ID=`$GIT_WORK_TREE/git-version-gen $GIT_WORK_TREE/.tarball-git-version`
     12OUTPUT="./singular-$ID.tar"
    713
    8 git archive --format tar.gz -v -o singular-$ID.tar.gz HEAD && echo "singular-$ID.tar.gz was generated from git repository at [$GIT_WORK_TREE]" || echo "Sorry could not generate archive for [$GIT_WORK_TREE] with '$0'"
     14git archive --format tar -o "$OUTPUT" HEAD || ( ret =$?; echo "Sorry could not generate archive for [$GIT_WORK_TREE] with '$0' -> code: $ret"; exit $ret; )
     15
     16echo $ID > .tarball-git-version && tar uf "$OUTPUT" .tarball-git-version && rm .tarball-git-version
     17
     18bzip2 "$OUTPUT"
     19
     20echo "$OUTPUT.bz2 was generated from git repository at [$GIT_WORK_TREE]"
Note: See TracChangeset for help on using the changeset viewer.